#pragma once
#include "..\inc\natives.h"
#include "..\inc\types.h"
#include "..\inc\enums.h"

bool doesEntityExistsAndIsNotNull(Entity entity);
float getDistanceBetweenEntities(Entity entity1, Entity entity2);
float getDistanceToGround(Entity entity);
Hash getModelHash(Vehicle veh);
bool isVehicleDrivable(Vehicle veh);
Vehicle getClosestVehicleFromPedPos(Ped ped, int maxDistance, int maxHeight, bool canReturnVehicleInside);